%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           bzr
Version:        0.15
Release:        1%{?dist}
Summary:        Friendly distributed version control system

Group:          Development/Tools
License:        GPL
URL:            http://www.bazaar-vcs.org/
Source0:        http://bazaar-vcs.org/releases/src/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:   python-paramiko

# ElementTree is part of python2.5 on FC7+
%if 0%{?fedora} <= 6
BuildRequires:   python-elementtree
Requires:   python-elementtree
%endif

%description
Bazaar-NG is a distributed revision control system that is powerful, friendly,
and scalable. It is the successor of the bazaar RCS which, in turn, was
a user-friendly reimplementation of GNU Arch.


%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --install-data %{_datadir} --root $RPM_BUILD_ROOT

# This is included in %doc, remove redundancy here
#rm -rf $RPM_BUILD_ROOT%{python_sitelib}/bzrlib/doc/

# Use independently packaged python-elementtree instead
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/bzrlib/util/elementtree/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc HACKING NEWS README NEWS.developers TODO doc/
%{_bindir}/bzr
%{_mandir}/man1/*

%{python_sitelib}/bzrlib/

%changelog
* Thu Mar 22 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.15-1
- Update to 0.15.
- Simplify the %%files list.

* Tue Jan 23 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.14-1
- Update to 0.14

* Sun Dec 10 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.13-2
- Conditionalize the python-elementtree requires as python2.5 in FC7 includes
  elementtree

* Wed Dec 6 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.13-1
- Update to 0.13

* Thu Oct 30 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.12-1
- Update to 0.12

* Thu Oct 08 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.11-1
- Update to 0.11
- New download location.

* Sun Sep 17 2006 Warren Togami <wtogami@redhat.com> 0.10-1
- 0.10

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 0.9-1
- Update to new upstream

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 0.8.2-3
- Include, don't ghost .pyo files per new guidelines

* Mon Jun 26 2006 Shahms E. King <shahms@shahms.com> 0.8.2-2
- Require python-paramiko for sftp support

* Tue May 23 2006 Shahms E. King <shahms@shahms.com> 0.8.2-1
- Update to new upstream version
- Fix dist tag

* Wed May 10 2006 Shahms E. King <shahms@shahms.com> 0.8-1
- Update to new upstream version
- Update bzr-sys-etree.patch for changes

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 0.7-3
- Add python-elementtree to BuildRequires

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 0.7-2
- Add dist tag

* Fri Feb 10 2006 Shahms E. King <shahms@shahms.com> 0.7-1
- Update to 0.7

* Thu Jan 26 2006 Shahms E. King <shahms@shahms.com> 0.6.2-2
- Fix system library patch

* Wed Dec 07 2005 Shahms E. King <shahms@shahms.com> 0.6.2-1
- Initial package
